#!/bin/sh

HOOK_DIR="/var/packages/SynologyDrive/target/hook"
PKG_INFO="${HOOK_DIR}/pkg-info"
PKG_HOOK="${HOOK_DIR}/package-install-hook"

case $1 in
	# print package info
	--name|--pkg-ver|--vendor)
		${PKG_INFO} $1
	;;

	# print SDK module version
	--sdk-mod-ver)
		${PKG_HOOK} --sdk-mod-ver
	;;

	# execute pre hook
	--pre)
		${PKG_HOOK} --pre
	;;

	# execute post hook
	--post)
		${PKG_HOOK} --post

	;;

	*)
	;;
esac
